package core.entities.timemanager;

import core.entities.User;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;

@Entity
@Table(name= "taskgroups")
public class Taskgroup {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private long taskgroupID;

    @NotBlank
    @Column(name = "name", length = 255)
    private String taskgroupName;

    @OneToOne
    @JoinColumn(name = "taskgroupuser", nullable = false)
    private User user;

    public Taskgroup(String taskgroupName, User user) {
        this.taskgroupName = taskgroupName;
        this.user = user;
    }

    public Taskgroup() {
    }

    public long getTaskgroupID() {
        return taskgroupID;
    }

    public void setTaskgroupID(long taskgroupID) {
        this.taskgroupID = taskgroupID;
    }

    public String getTaskgroupName() {
        return taskgroupName;
    }

    public void setTaskgroupName(String taskgroupName) {
        this.taskgroupName = taskgroupName;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
